use std::path::PathBuf;

use super::{Loadable, Relocatable};
use crate::error::Error;

pub trait Output<R>
where
    R: Relocatable,
{
    fn finalize(self, objects: &[R], loadable: &mut Loadable) -> Result<PathBuf, Error>;
}
